Skip to main content
GET
/
orders
List orders for the authenticated organization
curl --request GET \
  --url https://api.conduit.financial/v2/orders \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "source": {
        "type": "wallet",
        "id": "<string>"
      },
      "destination": {
        "type": "wallet",
        "id": "<string>"
      },
      "sourceAsset": {
        "code": "USDC",
        "chain": "ethereum",
        "amount": "100"
      },
      "destinationAsset": {
        "code": "USDC",
        "chain": "ethereum",
        "amount": "100"
      },
      "rate": {
        "referenceRate": "<string>",
        "totalSpreadBps": "<string>",
        "endUserRate": "<string>"
      },
      "fees": [
        {
          "code": "FIXED_FEE",
          "type": "fixed",
          "assetAmount": {
            "code": "USDC",
            "chain": "ethereum",
            "amount": "100"
          }
        }
      ],
      "totalDebit": {
        "code": "USDC",
        "chain": "ethereum",
        "amount": "100"
      },
      "lockExpiresAt": "2026-01-15T09:30:00.000Z",
      "createdAt": "2026-01-15T09:30:00.000Z",
      "autoExecute": true,
      "linkedTransactionIds": [
        "<string>"
      ],
      "clientReferenceId": "<string>",
      "autoPayout": {
        "recipient": {
          "rail": "us",
          "accountNumber": "<string>",
          "routingNumber": "<string>",
          "bankAddress": {
            "addressLine1": "<string>",
            "city": "<string>",
            "country": "<string>",
            "addressLine2": "<string>",
            "state": "<string>",
            "postalCode": "<string>"
          },
          "phone": "<string>",
          "type": "INDIVIDUAL",
          "firstName": "<string>",
          "lastName": "<string>",
          "postalAddress": {
            "addressLine1": "<string>",
            "city": "<string>",
            "country": "<string>",
            "addressLine2": "<string>",
            "state": "<string>",
            "postalCode": "<string>"
          },
          "bankName": "<string>",
          "dateOfBirth": "2023-12-25",
          "countryOfCitizenship": "<string>"
        },
        "ach": {},
        "swift": {
          "purposeOfPayment": "<string>"
        },
        "instant": {},
        "remittance": {
          "reference": "<string>",
          "description": "<string>"
        }
      },
      "executedAt": "2026-01-15T09:30:00.000Z",
      "cancelledAt": "2026-01-15T09:30:00.000Z",
      "failureMessage": "<string>"
    }
  ],
  "meta": {
    "mode": "cursor",
    "nextCursor": "eyJpZCI6ImN1c18yeFBxTjhSIn0",
    "previousCursor": null,
    "total": 42
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

limit
number
default:20

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
direction
enum<string>

Pagination direction relative to the cursor

Available options:
forward,
backward
status
enum<string>[]
Available options:
pending,
succeeded,
failed,
cancelled
pairId
string
type
string[]
destinationCountry
string
paymentRail
enum<string>
Available options:
RTP,
FEDWIRE,
ACH,
SWIFT,
FEDNOW
createdFrom
string
createdTo
string
clientReferenceId
string

Response

data
object[]
required
meta
object
required